## NAME

r.param.scale - GRASS module that extracts terrain parameters from a DEM. Uses a multi-scale approach by fitting a bivariate quadratic polynomial to a given window size using least squares.

## Usage:

r.param.scale [-c] in=name out=name [s_tol=value] [c_tol=value] [size=value] [param=name] [exp=value] [zscale=value]

## Flags:

-c Constrain model through central window cell

## Parameters:

in Input elevation raster

out Output raster representing the selected morphometric parameter

s_tol Slope tolerance that defines a `flat' surface (degrees)
default: 1.0

c_tol Curvature tolerance that defines `planar' surface
default: 0.0001

size Size of processing window (odd numbers only)
default: 3

param Morphometric parameter to calculate
options: elev,slope,aspect,profc,planc,longc,crosc,minic,maxic, feature
default: elev

exp Exponent for distance weighting (0.0-4.0)
default: 0.0

zscale Vertical scaling factor
default: 1.0

The module calculates the following parameters (terminology is from Wood, 1996 with related terminology
used in other GRASS modules listed in brackets)

- elev: Generalised elevation value (for resampling purposes at different scale)
- slope: Magnitude of maximum gradient (steepest slope angle)
- aspect: Direction of maximum gradient (steepest slope direction=flow direction)
- profc or profile curvature (curvature intersecting with the plane defined by Z axis and maximum gradient direction). Positive values describe convex profile curvature, negative values concave profile curvature.
- planc or plan curvature (horizontal curvature, intersecting with the XY plane)
- longc or longitudinal curvature (profile curvature intersecting with the plane defined by the surface normal and maximum gradient direction)
- crosc or cross-sectional curvature (tangential curvature intersecting with the plane defined by the surface normal and a tangent to the contour - perpendicular to maximum gradient direction)
- maxic or maximum curvature (can be in any direction)
- minic or minimum curvature (in direction perpendicular to the direction of of maximum curvature)
- meanc or mean curvature (average of maximum and minimum curvatures).
- Morphometric features: peaks, ridges, passes, channels, pits and planes

## NOTES

In r.param.scale the direction of maximum gradient (considered downslope) is stored as (West is 0 degree, East is +/- 180 degree):

- 0..+180 degree from West to North to East
- 0..-180 degree from West to South to East

Note that the aspect map is calculated differently from r.slope.aspect.

## Still to do

Fix bug when `constrain through central cell' option selected. Create color tables for all output files (presently only on features).

## SEE ALSO

d.param.scale

See also Java Code in LandSerf that implements the same procedure

## REFERENCE

Wood, J. (1996): The Geomorphological characterisation of Digital Elevation Models. Diss., Department of Geography, University of Leicester, U.K.
online at:
www.geog.le.ac.uk/jwo/research/dem_char/thesis/index.html

## AUTHOR

Update to FP 3/2002: L. Potrich, M. Neteler, S. Menegon (ITC-irst)

Last changed: $Date: 2003/03/16 12:25:19 $